WinNT.CACHE_DESCRIPTOR (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: CACHE_DESCRIPTOR

Package com.sun.jna.platform.win32

# Class WinNT.CACHE_DESCRIPTOR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.CACHE_DESCRIPTOR

Enclosing interface:
  WinNT

@FieldOrder({"level","associativity","lineSize","size","type"}) public static class WinNT.CACHE_DESCRIPTOR extends Structure
Describes the cache attributes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.BYTE`
  `associativity`
  The cache associativity.
  `WinDef.BYTE`
  `level`
  The cache level.
  `WinDef.WORD`
  `lineSize`
  The cache line size, in bytes.
  `WinDef.DWORD`
  `size`
  The cache size, in bytes.
  `int`
  `type`
  The cache type.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CACHE_DESCRIPTOR()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### level

    public WinDef.BYTE level
    The cache level. This member can be 1, 2 or 3, corresponding to L1, L2 or L3 cache, respectively (other values may be supported in the future.)

  - ### associativity

    public WinDef.BYTE associativity
    The cache associativity. If this member is `WinNT.CACHE_FULLY_ASSOCIATIVE`, the cache is fully associative.

  - ### lineSize

    public WinDef.WORD lineSize
    The cache line size, in bytes.

  - ### size

    public WinDef.DWORD size
    The cache size, in bytes.

  - ### type

    public int type
    The cache type.
    See Also:
      - `WinNT.PROCESSOR_CACHE_TYPE`

- ## Constructor Details

  - ### CACHE_DESCRIPTOR

    public CACHE_DESCRIPTOR()